# function G = curv_gaus(n, cx, cy, len, wid, ori, curv)
#

function G = curv_gaus(n,cx, cy, len, wid, ori, curv)

  ori1 = ori + curv;
  ori2 = ori - curv;

  x = len*1.5;

  curv_rad = curv/180*pi;
  ori_rad = ori/180*pi;
  ori2_rad = (180-ori)/180*pi;
  curv2_rad = (180-curv)/180*pi;

  cx1 = x + x * cos(curv_rad);
  cy1 = x * sin(curv_rad);

  c1 = [cos(-ori_rad), sin(-ori_rad); -sin(-ori_rad), cos(-ori_rad)]*[cx1;cy1];

  cx1 = c1(1);
  cy1 = c1(2);

  cx1 = cx+cx1;
  cy1 = cy-cy1;

  cx2 = - x - x * cos(curv_rad);
  cy2 =  x * sin(curv_rad);

  c2 = [cos(-ori_rad), sin(-ori_rad); -sin(-ori_rad), cos(-ori_rad)]*[cx2;cy2];

  cx2 = c2(1);
  cy2 = c2(2);

  cx2 = cx+cx2;
  cy2 = cy-cy2;

  # set gaussians
 
  G = gaussian(n,n,len,wid,cy,cx,ori);
  G += gaussian(n,n,len,wid,cy1,cx1,ori1);
  G += gaussian(n,n,len,wid,cy2,cx2,ori2);

endfunction  

