# function m = nonzeromin(X)
#	calculates a rough non-zero min of vector or matrix X
#	using a histogram method.

function [m,x,n] = nonzeromin(X)

  [n,x] = hist(vec(X),100);

  h = [x',n'];

  [r,c] = size(h); 

  h = h(2:r,:);

  [r,c] = size(h); 

  for i=1:r
	if (h(i,2)>0) 
		m = h(i,1);
		return;
	endif
  endfor
endfunction
	
