#!/usr/bin/perl

$usage = <<EOF ;
usage: randnums.pl <begin> <end> 
	- generates random sequence of numbers [<begin>..<end>]
EOF

if ($#ARGV != 1) {
	print $usage;
	exit;
}


$begin = $ARGV[0];
$end = $ARGV[1];

for ($i=$begin,$k=0; $i<=$end; ++$i,++$k) {
	$array[$k]=$i;
}

$max_idx = $k;

for ($k=0; $k<=$end*2; ++$k) {
	$src 	= rand $max_idx;	
	$target = rand $max_idx;	
	$tmp = $array[$src];
	$array[$src] = $array[$target];
	$array[$target] = $tmp;
}


foreach $val (@array) {
	print "$val \n";
}
