#!/usr/bin/perl

if ($#ARGV != 0) {

  print "usage: avg.pl <rate>\n";
  exit;

}

$rate = $ARGV[0];

$iters = int(1.0/(1.0-$rate)+0.5)*4*10;

$avg = 0.0;

$true_sum = 0;
for ($i=0; $i<$iters; ++$i) {

  $true_sum += 1;
  $true_avg = $true_sum/($i+1);
  print "$i $avg $true_avg\n";
  $avg = $avg * $rate + 1.0*(1.0-$rate);

}
