# function M = supersample(X,z)
#	given matrix X,
#	supersample it with a zoom factor of z > 1.
function M = supersample(X,z)

	[r,c] = size(X);

	M = zeros(r,c*z);

	for i=1:c
		for k=1:z
			M(:,(i-1)*z+k) = X(:,i);
		endfor
	endfor

	M2 = zeros(r,c*z);
	for i=1:r
		for k=1:z
			M2((i-1)*z+k,:) = M(i,:);
		endfor
	endfor

	M=M2;

endfunction
		
			
