#!/usr/bin/perl

# remove figures from LaTeX source

$fig=0;
$print=0;
$bib=0;
$fig_count=1;
$table_count=1;
while (<STDIN>) {

	if (/\\begin\{figure/) { 
		$fig=1;
		print "\\centerline{[ Insert Figure $fig_count About Here ]}\n";
		++$fig_count;
	}
	if (/\\begin\{table/) {
		$fig=1;
		print "\\centerline{[ Insert Table $table_count About Here ]}\n";
		++$table_count;
	}
	if (/\\end\{figure/ || /\\end\{table/) {
		$fig=0;
	}

	if (/\\begin\{abstract/) {
		$print=1;
	}	
	
	if (/\\bibliographystyle/) {
		$bib=0;
	}	
	
	if (!$fig && $print && !/\\end\{document/ && !/\\end\{figure/ && !/\\end\{table/ && !$bib) {
		print;
	}
}
